# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(Module/Build.pm) perl(Mojo/Base.pm) perl(Mojo/DOM.pm) perl(Mojo/URL.pm) perl(Mojo/UserAgent.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name WebService-Libris
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Programmatic access to book meta data from libris.kb.se
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MORITZ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The Swedish public libraries and the national library of Sweden have a common
catalogue containing meta data of the books they have available.

This includes many contemporary as well as historical books.

The catalogue is available online at http://libris.kb.se, and can be
queried with a public API.

This module is a wrapper around two of their APIs (xsearch and RDF responses).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

